> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List run artifacts

> List artifacts for a run. Takes an optional ``artifact_path`` prefix which if specified, the response contains only artifacts with the specified prefix.



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /api/2.0/mlflow/artifacts/list
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: MLflow experiments and runs
  - name: MLflow models
  - name: MLflow artifacts
  - name: MLflow traces
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/2.0/mlflow/artifacts/list:
    get:
      tags:
        - MLflow artifacts
      description: >-
        List artifacts for a run. Takes an optional ``artifact_path`` prefix
        which if specified, the response contains only artifacts with the
        specified prefix.
      operationId: artifacts.List
      parameters:
        - description: ID of the run whose artifacts to list. Must be provided.
          in: query
          name: run_id
          required: true
          schema:
            type: string
        - description: >-
            Filter artifacts matching this path (a relative path from the root
            artifact directory).
          in: query
          name: path
          required: false
          schema:
            type: string
        - description: Token indicating the page of artifact results to fetch
          in: query
          name: page_token
          required: false
          schema:
            type: string
      responses:
        '200':
          description: List of artifacts that fit the search criteria
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mlflow-proxy_ListArtifactsResponse'
        default:
          $ref: '#/components/responses/mlflow-proxy_MLflowNativeError'
components:
  schemas:
    mlflow-proxy_ListArtifactsResponse:
      properties:
        files:
          description: File location and metadata for artifacts.
          items:
            $ref: '#/components/schemas/mlflow-proxy_FileInfo'
          type: array
        next_page_token:
          description: Token that can be used to retrieve the next page of artifact results
          type: string
        root_uri:
          description: Root artifact directory for the run.
          type: string
      required:
        - root_uri
      type: object
    mlflow-proxy_FileInfo:
      properties:
        file_size:
          description: Size in bytes. Unset for directories.
          type: integer
          format: int64
        is_dir:
          description: Whether the path is a directory.
          type: boolean
        path:
          description: Path relative to the root artifact directory run.
          type: string
      required:
        - file_size
        - is_dir
        - path
      type: object
    mlflow-proxy_ErrorResponse:
      properties:
        error_code:
          $ref: '#/components/schemas/mlflow-proxy_ErrorCode'
        message:
          description: Error message
          type: string
      required:
        - error_code
        - message
      type: object
    mlflow-proxy_ErrorCode:
      description: Error code
      enum:
        - INTERNAL_ERROR
        - INVALID_STATE
        - DATA_LOSS
        - NOT_IMPLEMENTED
        - TEMPORARILY_UNAVAILABLE
        - DEADLINE_EXCEEDED
        - CANCELLED
        - RESOURCE_EXHAUSTED
        - REQUEST_LIMIT_EXCEEDED
        - ABORTED
        - RESOURCE_CONFLICT
        - ALREADY_EXISTS
        - NOT_FOUND
        - ENDPOINT_NOT_FOUND
        - RESOURCE_DOES_NOT_EXIST
        - PERMISSION_DENIED
        - CUSTOMER_UNAUTHORIZED
        - UNAUTHENTICATED
        - BAD_REQUEST
        - RESOURCE_ALREADY_EXISTS
        - INVALID_PARAMETER_VALUE
      type: string
  responses:
    mlflow-proxy_MLflowNativeError:
      description: The client issued a bad request to the server
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/mlflow-proxy_ErrorResponse'

````

## Related topics

- [Define Flow Artifacts](/cloud/platform-capabilities/features/flows/define-flow-artifacts.md)
- [Files, artifacts, and results](/cloud/platform-capabilities/core-concepts/projects/files-artifacts-and-results.md)
- [List](/api-reference/exports/list.md)
- [Work with roles](/cloud/admin/identity-and-access/manage-users/roles/index.md)
